Subject: Re: [PATCH] net: dsa/slave: Fix compilation warnings

From: Daniel Lezcano <[email-masked]>
Date: Tue, 30 Oct 2012 11:04:57 +0100

On 10/30/2012 10:45 AM, Viresh Kumar wrote:
> On 30 October 2012 14:56, Daniel Lezcano <[email-masked]> wrote:
>> Well, it is the same here, no ? Except, it is up to the user to disable
>> the option.
> 
> I didn't wanted to add code like this:
> 
>>> +       select NET_DSA_TAG_DSA if (!NET_DSA_TAG_EDSA &&
>>> !NET_DSA_TAG_TRAILER)
> 
> Why should we select NET_DSA_TAG_DSA by default? What made us
> select that?

That was an example, like you I don't know the DSA at all.
I guess the maintainer will guide on that.

> For this reason, i went to the solution i offered.

Ok.

> Anyway, i just wanted to get rid of the warning. Whatever maintainer
> feels is better must be selected.

Yep.

  -- Daniel

-- 
 <http://www.linaro.org/> Linaro.org │ Open source software for ARM SoCs

Follow Linaro:  <http://www.facebook.com/pages/Linaro> Facebook |
<http://twitter.com/#!/linaroorg> Twitter |
<http://www.linaro.org/linaro-blog/> Blog